<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>GroupByScientificNameQuerySpec</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GroupByScientificNameQuerySpec";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GroupByScientificNameQuerySpec.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api</a></div>
<h2 title="Class GroupByScientificNameQuerySpec" class="title">Class GroupByScientificNameQuerySpec</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="QuerySpec.html" title="class in nl.naturalis.nba.api">nl.naturalis.nba.api.QuerySpec</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.nba.api.GroupByScientificNameQuerySpec</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">GroupByScientificNameQuerySpec</span>
extends <a href="QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></pre>
<div class="block">An extension of the <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> class specifically meant for
 <a href="ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a></span></code></th>
<td class="colLast">
<div class="block">Enumerates options for sorting the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects
 returned from the <code>groupByScientificName</code> APIs.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">GroupByScientificNameQuerySpec</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)">GroupByScientificNameQuerySpec</a></span>&#8203;(<a href="GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQuerySpec</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Copy constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#equals(java.lang.Object)">equals</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="Filter.html" title="class in nl.naturalis.nba.api">Filter</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGroupFilter()">getGroupFilter</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the desired filter for the returned <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a>
 objects.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGroupSort()">getGroupSort</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns which way the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects returned by
 {code groupByScientificName} are sorted.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecimensFrom()">getSpecimensFrom</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the desired offset within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens
 associated with a scientific name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecimensSize()">getSpecimensSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the number of specimens to be retrieved per scientific name.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SortField.html" title="class in nl.naturalis.nba.api">SortField</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecimensSortFields()">getSpecimensSortFields</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the sort order within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens associated
 with a scientific name.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hashCode()">hashCode</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isNoTaxa()">isNoTaxa</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns whether or not to suppress the retrieval of the taxa associated
 with a scientific name.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGroupFilter(nl.naturalis.nba.api.Filter)">setGroupFilter</a></span>&#8203;(<a href="Filter.html" title="class in nl.naturalis.nba.api">Filter</a>&nbsp;groupFilter)</code></th>
<td class="colLast">
<div class="block">
 Sets an extra filter on the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects to be
 returned.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGroupSort(nl.naturalis.nba.api.GroupByScientificNameQuerySpec.GroupSort)">setGroupSort</a></span>&#8203;(<a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a>&nbsp;groupSort)</code></th>
<td class="colLast">
<div class="block">Determines which way the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects returned by
 {code groupByScientificName} are sorted.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNoTaxa(boolean)">setNoTaxa</a></span>&#8203;(boolean&nbsp;noTaxa)</code></th>
<td class="colLast">
<div class="block">Determines whether or not to suppress the retrieval of the taxa
 associated with a scientific name.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSpecimensFrom(java.lang.Integer)">setSpecimensFrom</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;specimensFrom)</code></th>
<td class="colLast">
<div class="block">Sets the desired offset within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens associated
 with a scientific name.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSpecimensSize(java.lang.Integer)">setSpecimensSize</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;specimensSize)</code></th>
<td class="colLast">
<div class="block">Determines how many specimens to retrieve per scientific name.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSpecimensSortFields(java.util.List)">setSpecimensSortFields</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SortField.html" title="class in nl.naturalis.nba.api">SortField</a>&gt;&nbsp;specimensSortFields)</code></th>
<td class="colLast">
<div class="block">Sets the sort order within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens associated with
 a scientific name.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.nl.naturalis.nba.api.QuerySpec">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;nl.naturalis.nba.api.<a href="QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></h3>
<code><a href="QuerySpec.html#addCondition(nl.naturalis.nba.api.QueryCondition)">addCondition</a>, <a href="QuerySpec.html#addFields(java.lang.String...)">addFields</a>, <a href="QuerySpec.html#getConditions()">getConditions</a>, <a href="QuerySpec.html#getFields()">getFields</a>, <a href="QuerySpec.html#getFrom()">getFrom</a>, <a href="QuerySpec.html#getLogicalOperator()">getLogicalOperator</a>, <a href="QuerySpec.html#getSize()">getSize</a>, <a href="QuerySpec.html#getSortFields()">getSortFields</a>, <a href="QuerySpec.html#isConstantScore()">isConstantScore</a>, <a href="QuerySpec.html#setConditions(java.util.List)">setConditions</a>, <a href="QuerySpec.html#setConstantScore(boolean)">setConstantScore</a>, <a href="QuerySpec.html#setFields(java.util.List)">setFields</a>, <a href="QuerySpec.html#setFrom(java.lang.Integer)">setFrom</a>, <a href="QuerySpec.html#setLogicalOperator(nl.naturalis.nba.api.LogicalOperator)">setLogicalOperator</a>, <a href="QuerySpec.html#setSize(java.lang.Integer)">setSize</a>, <a href="QuerySpec.html#setSortFields(java.util.List)">setSortFields</a>, <a href="QuerySpec.html#sortBy(java.lang.String)">sortBy</a>, <a href="QuerySpec.html#sortBy(java.lang.String,nl.naturalis.nba.api.SortOrder)">sortBy</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GroupByScientificNameQuerySpec</h4>
<pre>public&nbsp;GroupByScientificNameQuerySpec()</pre>
</li>
</ul>
<a id="&lt;init&gt;(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GroupByScientificNameQuerySpec</h4>
<pre>public&nbsp;GroupByScientificNameQuerySpec&#8203;(<a href="GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQuerySpec</a>&nbsp;other)</pre>
<div class="block">Copy constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getGroupSort()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroupSort</h4>
<pre class="methodSignature">public&nbsp;<a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a>&nbsp;getGroupSort()</pre>
<div class="block">Returns which way the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects returned by
 {code groupByScientificName} are sorted.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setGroupSort(nl.naturalis.nba.api.GroupByScientificNameQuerySpec.GroupSort)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGroupSort</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGroupSort&#8203;(<a href="GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a>&nbsp;groupSort)</pre>
<div class="block">Determines which way the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects returned by
 {code groupByScientificName} are sorted.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>groupSort</code> - </dd>
</dl>
</li>
</ul>
<a id="getGroupFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroupFilter</h4>
<pre class="methodSignature">public&nbsp;<a href="Filter.html" title="class in nl.naturalis.nba.api">Filter</a>&nbsp;getGroupFilter()</pre>
<div class="block">Returns the desired filter for the returned <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a>
 objects.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setGroupFilter(nl.naturalis.nba.api.Filter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGroupFilter</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGroupFilter&#8203;(<a href="Filter.html" title="class in nl.naturalis.nba.api">Filter</a>&nbsp;groupFilter)</pre>
<div class="block"><p>
 Sets an extra filter on the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects to be
 returned. For example, to exclude all <code>ScientificNameGroup</code> objects
 whose <a href="model/ScientificNameGroup.html#getName()"><code>name</code></a> contains a question
 mark, use the following filter:
 </p>
 <p>
 
 <pre>
 Filter filter = new Filter();
 filter.rejectRegexp(".*\\?.*";
 </pre>
 </p>
 <p>
 To only include taxa/specimens whose genus is "Larus":
 </p>
 <p>
 
 <pre>
 Filter filter = new Filter();
 filter.acceptRegexp("larus.*");
 </pre>
 </p>
 <p>
 To only include "Larus fuscus" and "Larus fuscus fuscus":
 </p>
 <p>
 
 <pre>
 Filter filter = new Filter();
 filter.acceptValues(new String[] { "larus fuscus", "larus fuscus fuscus" });
 </pre>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>groupFilter</code> - </dd>
</dl>
</li>
</ul>
<a id="getSpecimensFrom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecimensFrom</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;getSpecimensFrom()</pre>
<div class="block">Returns the desired offset within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens
 associated with a scientific name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setSpecimensFrom(java.lang.Integer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSpecimensFrom</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSpecimensFrom&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;specimensFrom)</pre>
<div class="block">Sets the desired offset within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens associated
 with a scientific name. Default 0. In other words: the regular
 <a href="QuerySpec.html#getFrom()"><code>from</code></a> property of the <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> object
 determines the offset within the list of scientific names while the
 <code>specimensFrom</code> property determines the offset in the list of
 specimens associated with each scientific name. If the specified offset
 is beyond the number of specimens for a particular scientific name, the
 list of specimens for that scientific name will be empty.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>specimensFrom</code> - </dd>
</dl>
</li>
</ul>
<a id="getSpecimensSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecimensSize</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;getSpecimensSize()</pre>
<div class="block">Returns the number of specimens to be retrieved per scientific name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setSpecimensSize(java.lang.Integer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSpecimensSize</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSpecimensSize&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;specimensSize)</pre>
<div class="block">Determines how many specimens to retrieve per scientific name. Default
 10. In other words: the regular <a href="QuerySpec.html#getSize()"><code>size</code></a> property
 of the <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> objects determines the desired number of
 <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> instances while the <code>specimensSize</code>
 property determines the desired number of specimens per
 <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a>. You can specify 0 (zero) if you want to
 suppress the retrieval of specimens (i.e. if you are only interested in
 the taxa). If you suppress the retrieval of specimens, no
 <a href="model/ScientificNameGroup.html#getSpecimenCount()"><code>specimen count</code></a> will be
 calculated.</div>
</li>
</ul>
<a id="getSpecimensSortFields()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecimensSortFields</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SortField.html" title="class in nl.naturalis.nba.api">SortField</a>&gt;&nbsp;getSpecimensSortFields()</pre>
<div class="block">Returns the sort order within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens associated
 with a scientific name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setSpecimensSortFields(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSpecimensSortFields</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSpecimensSortFields&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SortField.html" title="class in nl.naturalis.nba.api">SortField</a>&gt;&nbsp;specimensSortFields)</pre>
<div class="block">Sets the sort order within the <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>List</code></a> of specimens associated with
 a scientific name. This property is ignored when calling
 <a href="ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>. It is only applicable for
 <a href="ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>specimensSortFields</code> - </dd>
</dl>
</li>
</ul>
<a id="isNoTaxa()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNoTaxa</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isNoTaxa()</pre>
<div class="block">Returns whether or not to suppress the retrieval of the taxa associated
 with a scientific name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setNoTaxa(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoTaxa</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setNoTaxa&#8203;(boolean&nbsp;noTaxa)</pre>
<div class="block">Determines whether or not to suppress the retrieval of the taxa
 associated with a scientific name. If you suppress the retrieval of taxa,
 no <a href="model/ScientificNameGroup.html#getTaxonCount()"><code>taxon count</code></a> is calculated
 either.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>noTaxa</code> - </dd>
</dl>
</li>
</ul>
<a id="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;equals&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="QuerySpec.html#equals(java.lang.Object)">equals</a></code>&nbsp;in class&nbsp;<code><a href="QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></code></dd>
</dl>
</li>
</ul>
<a id="hashCode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="QuerySpec.html#hashCode()">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GroupByScientificNameQuerySpec.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
